\name{IBDdat}
\alias{IBDdat}
\docType{data}
\title{
IBD Dataset
}
\description{
OTU-level count data from subjects with Crohn's disease and healthy individuals, along with taxonomy and sample data.
}
\usage{data(IBDdat)}
\format{
The dataset is in \code{mbzinb} format.  \code{count} is a matrix of counts of each OTU.  OTU are rows and samples are columns.  \code{sample} is a data frame of sample information.  The main phenotype of interest is \code{ULCERATIVE_COLIT_OR_CROHNS_DIS} indicating whether each subject has Crohn's disease or is healthy.  \code{tax} is a matrix of taxonomy information for each sample.  \code{filtered} is \code{FALSE}, meaning rare OTU and samples with low counts have not been removed.
}
\details{
The original dataset also included individuals with ulcerative colitis.  These individuals were removed from the dataset to facilitate two group comparison.  Samples with duplicate participant ID were also removed from the dataset.  OTU counts were aggregated to genus level using the \code{phyloseq} package.
}
\source{
The dataset was downloaded from \url{microbiome.me}.  The publication associated with the original dataset is given in the reference section.
}
\references{
Morgan, X. C., Tickle, T. L., Sokol, H., Gevers, D., Devaney, K. L., Ward, D. V., ... & Huttenhower, C. (2012). Dysfunction of the intestinal microbiome in inflammatory bowel disease and treatment. Genome Biol, 13(9), R79.
}
\examples{
data(IBDdat)
}
\keyword{datasets}
