\name{filter.dataset}
\alias{filter.dataset}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
Filter microbiome dataset
}
\description{
Filters low read count samples and low prevalence taxa from an \code{mbzinb} object.
}
\usage{
filter.dataset(mbzinb.data, min.prev = 0.1, min.reads = 100, niter = 1)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{mbzinb.data}{
  An object of class \code{mbzinb}.  Should not have already performed analysis on it.  May have normalization factors, though this is not recommended.
}
  \item{min.prev}{
   Minimum prevalence (proportion of nonzero counts) for a taxon to be included in the filtered dataset.  Default is \code{0.1}.
}
  \item{min.reads}{
  Minimum number of reads for a sample to be included in the filtered dataset.  Default is \code{100}.
}
  \item{niter}{
  Number of filtering iterations.  See details.
}
}
\details{
Filtering is performed by first removing low read count samples, then removing low prevalence taxa.  It sometimes may happen that after this second step is performed, a sample in the filtered dataset will have below \code{min.reads} reads.  Filtering can be repeated until the filtered dataset satisfies both criteria for up to \code{niter} iterations.
}
\value{
Returns an object of class \code{mbzinb} with filtered taxa and samples removed from the \code{count}, \code{sample}, \code{taxon} and \code{normFactors} elements if supplied.
}
\references{
%% ~put references to the literature/web site here ~
}
\author{
Emily King
}
\note{
%%  ~~further notes~~
}

%% ~Make other sections like Warning with \section{Warning }{....} ~

\seealso{
%% ~~objects to See Also as \code{\link{help}}, ~~~
}
\examples{
data(IBDdat)
#Remove OTU with prevalence less than 15%
#and individuals with less than 500 reads
filter.dataset(IBDdat, min.prev=0.15, min.reads=500)
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{filtering}
