\name{mbzinb.dataset}
\alias{mbzinb.dataset}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
Create mbzinb object
}
\description{
Creates an object for use with other functions in the \code{mbzinb} package from a matrix of count data, a data frame of sample information, and, optionally, a taxonomy table.
}
\usage{
mbzinb.dataset(count, sample, taxon = NULL)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{count}{
   a matrix whose entries are counts of taxa in each sample.  Taxa are rows and samples are columns.  The matrix should have row and column names. See details.
}
  \item{sample}{
  A data frame with information on each sample.  Should have row names corresponding to column names of \code{count}.  See Details.
}
  \item{taxon}{
    Can optionally supply a taxonomy table.  If supplied, can print the corresponding taxonomic information along with the results.  Row names should correspond to those of \code{count}.  See Details
}
}
\details{

The column names in \code{count} should match the row names of sample, though they do not need to be in the same order.  The row names of taxon, if supplied, should match those of \code{count}, though again they need not be in the same order.  Any non-matching columns or rows will be trimmed from their respective objects.

This function will return an error unless count has class matrix and sample has class data frame.
}
\value{
Returns an object of class mbzinb containing
  \item{count}{count matrix trimmed to match \code{sample} and \code{taxon}, if supplied}
  \item{sample}{sample data frame reordered and trimmed to match \code{count}}
  \item{taxon}{taxonomy table reordered and trimmed to match \code{count}, if supplied}
}
\references{
%% ~put references to the literature/web site here ~
}
\author{
Emily King
}
\note{
%%  ~~further notes~~
}

%% ~Make other sections like Warning with \section{Warning }{....} ~

\seealso{
%% ~~objects to See Also as \code{\link{help}}, ~~~
}
\examples{
data(IBDdat)
mbzinb.dataset(IBDdat$count, IBDdat$sample, IBDdat$taxon)
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
